Package com.avaya.clientservices.call.conference

## Interface PendingParticipantListener

- All Superinterfaces:
    `ParticipantListener`

      public interface PendingParticipantListener
      extends ParticipantListener

  Interface that can be used to get feedback and updates from the pending conference participant.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onPendingParticipantAccepted​(PendingParticipant participant)` | Called to report that the pending participant is accepted.
    `void` | `onPendingParticipantCancelled​(PendingParticipant participant, PendingParticipantAdmissionCancellationReason reason)` | Called to report that the pending participant is cancelled.
    `void` | `onPendingParticipantDenied​(PendingParticipant participant)` | Called to report that the pending participant is denied.

    - ### Methods inherited from interface com.avaya.clientservices.call.conference.ParticipantListener

      `onParticipantMatchedContactsChanged`

- - ### Method Detail

    - #### onPendingParticipantAccepted

          void onPendingParticipantAccepted​(PendingParticipant participant)

      Called to report that the pending participant is accepted.
      Parameters:
        `participant` - Pending participant who has been accepted.

    - #### onPendingParticipantCancelled

          void onPendingParticipantCancelled​(PendingParticipant participant,
                                             PendingParticipantAdmissionCancellationReason reason)

      Called to report that the pending participant is cancelled.
      Parameters:
        `participant` - Pending participant who has been cancelled.
        `reason` - A reason for cancellation.

    - #### onPendingParticipantDenied

          void onPendingParticipantDenied​(PendingParticipant participant)

      Called to report that the pending participant is denied.
      Parameters:
        `participant` - Pending participant who has been denied.